## iSchedule

Description

A class for handling iScheduling requests.

Located in /inc/iSchedule.php (line 25)

Variable Summary
mixed $domain
mixed $parsed
mixed $selector
Method Summary
iSchedule __construct ()
void getCapabilities ()
void getServer ()
void getTxt ()
void parseDKIM (string $sig)
void parseTxt ()
void parseURI ( $uri)
void signDKIM (string $body, array $headers)
void validateKey ()
void validateRequest ()
void verifySignature ()
Variables
mixed $domain (line 29)

- access: public

mixed $parsed (line 27)

- access: public

mixed $selector (line 28)

- access: public

Methods
Constructor __construct (line 38)
iSchedule __construct ()
getCapabilities (line 158)

get capabilities from remote server

void getCapabilities ()
getServer (line 123)

finds a remote calendar server via DNS SRV records

void getServer ()
getTxt (line 48)

gets the domainkey TXT record from DNS

void getTxt ()
parseDKIM (line 197)

parses and validates DK header

void parseDKIM (string $sig)

- string $sig: the value of the DKIM-Signature header

parseTxt (line 65)

parses DNS TXT record from domainkey lookup

void parseTxt ()
parseURI (line 268)

split up a mailto uri into domain and user components

void parseURI ( $uri)

- $uri

signDKIM (line 176)

signs a POST body and headers

void signDKIM (string $body, array $headers)

- string $body: the body of the POST
- array $headers: the headers to sign as passed to header ();

validateKey (line 86)

validates that domainkey is acceptable for the current request

void validateKey ()
validateRequest (line 317)

checks that current request has a valid DKIM signature signed by a currently valid key from DNS

void validateRequest ()
verifySignature (line 282)

verifies parsed DKIM header is valid for current message with a signature from the public key in DNS

void verifySignature ()

Documentation generated on Fri, 13 Jan 2012 23:44:55 +1300 by phpDocumentor 1.4.3